WEBOOB-CLI(1)

NAME
weboob-cli

SYNOPSIS
weboob-cli [-dqv] [-b backends] [-cnfs] capability method [arguments..]
weboob-cli [--help] [--version]

DESCRIPTION

Weboob-Cli is a console application to call a specific method on backends which implement the given capability.

  Supported websites:

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression

-n COUNT, --count=COUNT
    get a maximum number of results (all backends merged)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (csv, htmltable, multiline, simple, table, webkit)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

COPYRIGHT
Copyright(C) 2010-2011 Romain Bignon

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.weboob/backends"